<#
    Part of Onevinn AB Web Services (Samples)
    Version: 2.1
    Author: Johan Schrewelius
    Date: 2021-01-29
#>

[CmdletBinding()]
Param(
 [Parameter(Mandatory=$True,Position=1)]
  [string]$ADG
  )

. "./Configuration.ps1"

# Invoke Web Service

try {
    $zip.AddToADGroup($CompName, "$($ADG)")
    Write-Output "OnevinnWS 'AddToADGroup' was called for '$CompName' Target group(s): '$ADG'"
}
catch {
    Write-Output "$_.Exception.Message"
    exit 1
}

exit 0