<#
    Part of Onevinn AB Web Services (Samples)
    Version: 2.1
    Author: Johan Schrewelius
    Date: 2021-01-29
#>

. "./Configuration.ps1"

# Declarations

$NewOU = $tsenv.Value("MachineObjectOU")

# Invoke Web Service

try {
    $zip.MoveToOU($CompName, "$NewOU")
    Write-Output "OnevinnWS 'MoveToOU' was called for '$CompName' Target OU : '$NewOU'"
}
catch {
    Write-Output "$_.Exception.Message"
    exit 1
}

exit 0