<#
    Part of Onevinn AB Web Services (Samples)
    Version: 2.1
    Author: Johan Schrewelius
    Date: 2021-01-29
#>

[CmdletBinding()]
Param(
 [Parameter(Mandatory=$True,Position=1)]
  [string]$CollID
  )

. "./Configuration.ps1"

# Invoke Web Service

try {
    $zip.RemoveFromOSDCollDeleteUDA($CompName, $CompUUID, $CompMAC, $CollID)
    Write-Output "OnevinnWS 'RemoveFromOSDCollDeleteUDA' was called for '$CompName'"
}
catch {
    Write-Output "$_.Exception.Message"
    exit 1
}

exit 0
